Fetches one raw API-access widget.
curl --request GET \
--url https://api.homepal.se/v1/api-access/widgets/{id}/raw \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.homepal.se/v1/api-access/widgets/{id}/raw"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.homepal.se/v1/api-access/widgets/{id}/raw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": {
"broken": false
},
"data": [
{
"title": "Fastighet",
"index": 0,
"data_type": "string",
"data": [
"Fastighet 1",
"Fastighet 2",
"Fastighet 3"
],
"unit": null,
"comparative_display_type": null,
"comparative_data": null
},
{
"title": "Inrapporterade ärenden",
"index": 1,
"data_type": "number",
"data": [
4352,
4123,
3921
],
"unit": null,
"comparative_display_type": null,
"comparative_data": null
}
],
"meta": {
"comparative_filter": null,
"period_filter": {
"from_date": "2024-01-01",
"to_date": "2024-12-31"
},
"subtitle": null,
"title": "Ärenden per fastighet",
"type": "BAR_CHART"
}
}
}API Reference
Fetches one raw API-access widget.
GET
/
v1
/
api-access
/
widgets
/
{id}
/
raw
Fetches one raw API-access widget.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the widget.
Query Parameters
A comma separted list of company names to filter the data by. If not set, data from all companies the company group has access to will be shown.
Response
200 - application/json
The raw widget payload.
Show child attributes
Show child attributes
⌘I